Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Trouble updating to KDE 4.2.4 *** SOLVED ***
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
The Mountain Man
l33t
l33t


Joined: 03 Sep 2003
Posts: 643

PostPosted: Sun Jun 07, 2009 12:41 pm    Post subject: Trouble updating to KDE 4.2.4 *** SOLVED *** Reply with quote

I'm trying to update my install of KDE 4, but what it looks like here is that it'll upgrade everything to 4.2.4 and then immediately downgrade it 3.5.10. I'm not sure why it's even trying to pull in the the 3.5.10 packages at all since I completely uninstalled KDE 3 when I upgraded to 4. What's going on here?

Code:
$ sudo emerge -Nupt world

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild     U ] kde-base/kdeplasma-addons-4.2.4 [4.2.3-r1]
[ebuild     U ] kde-base/kdebase-meta-4.2.4 [4.2.3] USE="-kdeprefix%"
[ebuild     U ] kde-base/kmahjongg-4.2.4 [4.2.3] USE="handbook%*"     
[ebuild     U ] media-sound/easytag-2.1.6-r1 [2.1.6]                 
[ebuild     U ] kde-base/kweather-4.2.4 [4.2.3] USE="handbook%*"     
[ebuild     U ] x11-libs/qt-4.5.1 [4.4.2] USE="kde%*"                 
[ebuild     U ] kde-base/ark-4.2.4 [4.2.3] USE="handbook%*"           
[ebuild     U ] kde-base/kget-4.2.4 [4.2.3] USE="handbook%*"         
[ebuild     U ] app-emulation/wine-1.1.23 [1.1.22]                   
[ebuild     U ] x11-libs/vte-0.20.4 [0.20.3]                         
[ebuild  NS   ] media-sound/amarok-1.4.10-r2 [2.0.2-r3] USE="amazon kde mysql opengl python -daap -debug -ifp -ipod -mp4 -mtp -musicbrainz -njb -postgres (-real) -visualization -xinerama" LINGUAS="-af -ar -az -be -bg -bn -br -ca -cs -cy -da -de -el -en_GB -eo -es -et -eu -fa -fi -fr -ga -gl -he -hi -hu -id -is -it -ja -km -ko -ku -lo -lt -mk -ms -nb -nds -ne -nl -nn -pa -pl -pt -pt_BR -ro -ru -rw -se -sk -sl -sq -sr -sr@Latn -ss -sv -ta -tg -th -tr -uk -uz -zh_CN -zh_TW"                                                                                                 
[ebuild     U ] kde-base/kdf-4.2.4 [4.2.3] USE="handbook%*"                                                                                   
[ebuild     U ] kde-base/gwenview-4.2.4 [4.2.3] USE="handbook%*"                                                                               
[ebuild     U ] kde-base/kdeartwork-meta-4.2.4 [4.2.3] USE="-kdeprefix%"                                                                       
[ebuild     U ] kde-base/kmix-4.2.4 [4.2.3] USE="handbook%*"                                                                                   
[ebuild     U ] kde-base/ksnapshot-4.2.4 [4.2.3] USE="handbook%*"                                                                             
[ebuild     U ] net-p2p/ktorrent-3.2.2 [3.2.1-r1]                                                                                             
[ebuild     U ] kde-base/kpat-4.2.4 [4.2.3] USE="handbook%*"                                                                                   
[ebuild     U ] kde-base/okular-4.2.4 [4.2.3] USE="handbook%*"                                                                                 
[ebuild     U ] kde-base/kate-4.2.4 [4.2.3] USE="handbook%*"                                                                                   
[ebuild     U ] kde-base/kdemultimedia-kioslaves-4.2.4 [4.2.3] USE="handbook%*"                                                               
[ebuild     U ]  kde-base/libkcddb-4.2.4 [4.2.3]                                                                                               
[ebuild     U ]  kde-base/libkcompactdisc-4.2.4 [4.2.3]                                                                                       
[nomerge      ] kde-base/kdeartwork-meta-4.2.4 [4.2.3] USE="-kdeprefix%"                                                                       
[ebuild     U ]  kde-base/kdeartwork-sounds-4.2.4 [4.2.3]                                                                                     
[ebuild     U ]  kde-base/kdeartwork-kscreensaver-4.2.4 [4.2.3]                                                                               
[ebuild     U ]  kde-base/kdeartwork-iconthemes-4.2.4 [4.2.3]                                                                                 
[ebuild     U ]  kde-base/kdeartwork-emoticons-4.2.4 [4.2.3]                                                                                   
[ebuild     U ]  kde-base/kdeartwork-desktopthemes-4.2.4 [4.2.3]                                                                               
[ebuild     U ]  kde-base/kdeartwork-colorschemes-4.2.4 [4.2.3]                                                                               
[ebuild     U ]  kde-base/kdeartwork-wallpapers-4.2.4 [4.2.3]                                                                                 
[ebuild     U ]  kde-base/kdeartwork-styles-4.2.4 [4.2.3]                                                                                     
[nomerge      ] kde-base/kmahjongg-4.2.4 [4.2.3] USE="handbook%*"                                                                             
[ebuild     U ]  kde-base/libkmahjongg-4.2.4 [4.2.3]                                                                                           
[nomerge      ] kde-base/kdebase-meta-4.2.4 [4.2.3] USE="-kdeprefix%"                                                                         
[ebuild     U ]  kde-base/kdebase-startkde-4.2.4 [4.2.3]                                                                                       
[ebuild     U ]   kde-base/kreadconfig-4.2.4 [4.2.3]                                                                                           
[ebuild     U ]   kde-base/knotify-4.2.4 [4.2.3]                                                                                               
[ebuild     U ]   kde-base/systemsettings-4.2.4 [4.2.3] USE="handbook%*"                                                                       
[ebuild     U ]    kde-base/kcontrol-4.2.4 [4.2.3] USE="handbook%*"                                                                           
[ebuild     U ]     kde-base/kdnssd-4.2.4 [4.2.3]                                                                                             
[ebuild     U ]  kde-base/ksystraycmd-4.2.4 [4.2.3]                                                                                           
[ebuild     U ]  kde-base/knewstuff-4.2.4 [4.2.3]                                                                                             
[ebuild     U ]  kde-base/kinfocenter-4.2.4 [4.2.3] USE="handbook%*"                                                                           
[ebuild     U ]  kde-base/nsplugins-4.2.4 [4.2.3]                                                                                             
[ebuild     U ]  kde-base/drkonqi-4.2.4 [4.2.3]                                                                                               
[ebuild     U ]  kde-base/kwrited-4.2.4 [4.2.3]                                                                                               
[ebuild     U ]  kde-base/kde-menu-4.2.4 [4.2.3]                                                                                               
[ebuild     U ]  kde-base/khelpcenter-4.2.4 [4.2.3] USE="handbook%*"                                                                           
[ebuild     U ]  kde-base/powerdevil-4.2.4 [4.2.3]                                                                                             
[ebuild     U ]  kde-base/ktraderclient-4.2.4 [4.2.3]                                                                                         
[ebuild     U ]  kde-base/klipper-4.2.4 [4.2.3] USE="handbook%*"                                                                               
[ebuild     U ]  kde-base/dolphin-4.2.4-r1 [4.2.3] USE="handbook%*"                                                                           
[ebuild     U ]  kde-base/kstart-4.2.4 [4.2.3]                                                                                                 
[ebuild     U ]  kde-base/solid-hardware-4.2.4 [4.2.3]                                                                                         
[ebuild     U ]  kde-base/konsole-4.2.4 [4.2.3] USE="handbook%*"                                                                               
[ebuild     U ]  kde-base/ktimezoned-4.2.4 [4.2.3]                                                                                             
[ebuild     U ]  kde-base/kmimetypefinder-4.2.4 [4.2.3]                                                                                       
[ebuild     U ]  kde-base/kwalletd-4.2.4 [4.2.3]                                                                                               
[ebuild     U ]  kde-base/knetattach-4.2.4 [4.2.3] USE="handbook%*"                                                                           
[ebuild     U ]  kde-base/renamedlg-plugins-4.2.4 [4.2.3]                                                                                     
[ebuild     U ]  kde-base/kwrite-4.2.4 [4.2.3] USE="handbook%*"                                                                               
[ebuild     U ]  kde-base/kdebugdialog-4.2.4 [4.2.3] USE="handbook%*"                                                                         
[ebuild     U ]  kde-base/kfile-4.2.4 [4.2.3]                                                                                                 
[ebuild     U ]  kde-base/kiconfinder-4.2.4 [4.2.3]                                                                                           
[ebuild     U ]  kde-base/kmenuedit-4.2.4 [4.2.3] USE="handbook%*"                                                                             
[ebuild     U ]  kde-base/kdebase-cursors-4.2.4 [4.2.3]                                                                                       
[ebuild     U ]  kde-base/kuiserver-4.2.4 [4.2.3]                                                                                             
[ebuild     U ]  kde-base/kappfinder-4.2.4 [4.2.3] USE="handbook%*"                                                                           
[ebuild     U ]  kde-base/kquitapp-4.2.4 [4.2.3]                                                                                               
[ebuild     U ]  kde-base/kcmshell-4.2.4 [4.2.3]                                                                                               
[ebuild     U ]  kde-base/kdebase-desktoptheme-4.2.4 [4.2.3]                                                                                   
[ebuild     U ]  kde-base/plasma-workspace-4.2.4 [4.2.3] USE="handbook%*"                                                                     
[ebuild     U ]   kde-base/pykde4-4.2.4 [4.2.3]                                                                                               
[ebuild     U ]  kde-base/kdm-4.2.4 [4.2.3] USE="consolekit* handbook%*"                                                                       
[ebuild     U ]  kde-base/kstyles-4.2.4 [4.2.3]                                                                                               
[ebuild     U ]  kde-base/kstartupconfig-4.2.4 [4.2.3]                                                                                         
[ebuild     U ]  kde-base/konqueror-4.2.4 [4.2.3] USE="handbook%*"                                                                             
[ebuild     U ]   kde-base/kurifilter-plugins-4.2.4 [4.2.3]                                                                                   
[ebuild     U ]  kde-base/kscreensaver-4.2.4 [4.2.3]                                                                                           
[ebuild     U ]  kde-base/phonon-kde-4.2.4 [4.2.3]                                                                                             
[ebuild     U ]  kde-base/kdebase-kioslaves-4.2.4 [4.2.3] USE="handbook%*"                                                                     
[ebuild     U ]   kde-base/kdialog-4.2.4 [4.2.3]                                                                                               
[ebuild     U ]  kde-base/keditbookmarks-4.2.4 [4.2.3]                                                                                         
[ebuild     U ]  kde-base/kpasswdserver-4.2.4 [4.2.3]                                                                                         
[ebuild     U ]  kde-base/kdedglobalaccel-4.2.4 [4.2.3]                                                                                       
[ebuild     U ]  kde-base/kde-wallpapers-4.2.4 [4.2.3]                                                                                         
[ebuild     U ]  kde-base/plasma-apps-4.2.4 [4.2.3]                                                                                           
[ebuild     U ]  kde-base/kdepasswd-4.2.4 [4.2.3] USE="handbook%*"                                                                             
[ebuild     U ]  kde-base/kde-menu-icons-4.2.4 [4.2.3]                                                                                         
[ebuild     U ]  kde-base/kioclient-4.2.4 [4.2.3]                                                                                             
[ebuild     U ]  kde-base/soliduiserver-4.2.4 [4.2.3]                                                                                         
[ebuild     U ]  kde-base/libplasmaclock-4.2.4 [4.2.3]                                                                                         
[nomerge      ] kde-base/kdeplasma-addons-4.2.4 [4.2.3-r1]                                                                                     
[ebuild     U ]  kde-base/krunner-4.2.4 [4.2.3]                                                                                               
[ebuild     U ] kde-base/kwin-4.2.4 [4.2.3]                                                                                                   
[nomerge      ] kde-base/kpat-4.2.4 [4.2.3] USE="handbook%*"                                                                                   
[ebuild     U ]  kde-base/libkdegames-4.2.4 [4.2.3]                                                                                           
[nomerge      ] kde-base/dolphin-4.2.4-r1 [4.2.3] USE="handbook%*"                                                                             
[ebuild     U ]  kde-base/nepomuk-4.2.4 [4.2.3]                                                                                               
[ebuild     U ]  kde-base/kfind-4.2.4 [4.2.3] USE="handbook%*"                                                                                 
[nomerge      ] kde-base/kdebase-meta-4.2.4 [4.2.3] USE="-kdeprefix%"                                                                         
[nomerge      ]  kde-base/kcontrol-4.2.4 [4.2.3] USE="handbook%*"                                                                             
[ebuild     U ]   kde-base/khotkeys-4.2.4 [4.2.3]                                                                                             
[ebuild     U ]  kde-base/kdesu-4.2.4 [4.2.3] USE="handbook%*"                                                                                 
[ebuild     U ]  kde-base/kcheckpass-4.2.4 [4.2.3]                                                                                             
[ebuild     U ]  kde-base/libtaskmanager-4.2.4 [4.2.3]                                                                                         
[ebuild     U ]  kde-base/ksmserver-4.2.4 [4.2.3]                                                                                             
[ebuild     U ]   kde-base/kcminit-4.2.4 [4.2.3]                                                                                               
[ebuild     U ]    kde-base/ksplash-4.2.4 [4.2.3]                                                                                             
[ebuild     U ]  kde-base/ksysguard-4.2.4 [4.2.3] USE="handbook%*"                                                                             
[nomerge      ] kde-base/kdeplasma-addons-4.2.4 [4.2.3-r1]                                                                                     
[ebuild     U ]  kde-base/kdepimlibs-4.2.4 [4.2.3] USE="handbook%*"                                                                           
[nomerge      ] kde-base/kdeplasma-addons-4.2.4 [4.2.3-r1]                                                                                     
[nomerge      ]  kde-base/plasma-workspace-4.2.4 [4.2.3] USE="handbook%*"                                                                     
[ebuild     U ]   kde-base/kephal-4.2.4 [4.2.3]                                                                                               
[ebuild     U ]   kde-base/solid-4.2.4 [4.2.3] USE="bluetooth*"                                                                               
[nomerge      ] kde-base/dolphin-4.2.4-r1 [4.2.3] USE="handbook%*"                                                                             
[ebuild     U ]  kde-base/libkonq-4.2.4 [4.2.3]                                                                                               
[nomerge      ] kde-base/klipper-4.2.4 [4.2.3] USE="handbook%*"                                                                               
[ebuild     U ]  kde-base/libkworkspace-4.2.4 [4.2.3]                                                                                         
[nomerge      ] kde-base/kcmshell-4.2.4 [4.2.3]                                                                                               
[nomerge      ]  kde-base/kdelibs-4.2.4 [4.2.3] USE="handbook%*"                                                                               
[ebuild     U ]   kde-base/kde-env-4.2.4 [4.2.3]                                                                                               
[ebuild     U ]   kde-base/kdebase-data-4.2.4 [4.2.3]                                                                                         
[ebuild     U ]    kde-base/kdelibs-4.2.4 [4.2.3] USE="handbook%*"                                                                             
[nomerge      ] x11-libs/qt-assistant-4.4.2-r1                                                                                                 
[blocks b     ]  >x11-libs/qt-script-4.4.2-r9999 (">x11-libs/qt-script-4.4.2-r9999" is blocking x11-libs/qt-xmlpatterns-4.4.2, x11-libs/qt-assistant-4.4.2-r1, x11-libs/qt-webkit-4.4.2-r1, x11-libs/qt-dbus-4.4.2, x11-libs/qt-opengl-4.4.2)                                                 
[blocks b     ]  >x11-libs/qt-test-4.4.2-r9999 (">x11-libs/qt-test-4.4.2-r9999" is blocking x11-libs/qt-xmlpatterns-4.4.2, x11-libs/qt-assistant-4.4.2-r1, x11-libs/qt-webkit-4.4.2-r1, x11-libs/qt-dbus-4.4.2, x11-libs/qt-opengl-4.4.2)                                                     
[blocks b     ]  >x11-libs/qt-svg-4.4.2-r9999 (">x11-libs/qt-svg-4.4.2-r9999" is blocking x11-libs/qt-xmlpatterns-4.4.2, x11-libs/qt-assistant-4.4.2-r1, x11-libs/qt-webkit-4.4.2-r1, x11-libs/qt-dbus-4.4.2, x11-libs/qt-opengl-4.4.2)                                                       
[blocks b     ]  >x11-libs/qt-dbus-4.4.2-r9999 (">x11-libs/qt-dbus-4.4.2-r9999" is blocking x11-libs/qt-xmlpatterns-4.4.2, x11-libs/qt-assistant-4.4.2-r1, x11-libs/qt-webkit-4.4.2-r1, x11-libs/qt-opengl-4.4.2)                                                                             
[blocks b     ]  >x11-libs/qt-opengl-4.4.2-r9999 (">x11-libs/qt-opengl-4.4.2-r9999" is blocking x11-libs/qt-xmlpatterns-4.4.2, x11-libs/qt-assistant-4.4.2-r1, x11-libs/qt-webkit-4.4.2-r1, x11-libs/qt-dbus-4.4.2)                                                                           
[blocks b     ]  >x11-libs/qt-qt3support-4.4.2-r9999 (">x11-libs/qt-qt3support-4.4.2-r9999" is blocking x11-libs/qt-xmlpatterns-4.4.2, x11-libs/qt-assistant-4.4.2-r1, x11-libs/qt-webkit-4.4.2-r1, x11-libs/qt-dbus-4.4.2, x11-libs/qt-opengl-4.4.2)                                         
[nomerge      ] x11-libs/qt-xmlpatterns-4.4.2                                                                                                 
[blocks b     ]  >x11-libs/qt-assistant-4.4.2-r9999 (">x11-libs/qt-assistant-4.4.2-r9999" is blocking x11-libs/qt-xmlpatterns-4.4.2, x11-libs/qt-webkit-4.4.2-r1, x11-libs/qt-dbus-4.4.2, x11-libs/qt-opengl-4.4.2)                                                                           
[blocks b     ]  >x11-libs/qt-core-4.4.2-r9999 (">x11-libs/qt-core-4.4.2-r9999" is blocking x11-libs/qt-xmlpatterns-4.4.2, x11-libs/qt-assistant-4.4.2-r1, x11-libs/qt-webkit-4.4.2-r1, x11-libs/qt-dbus-4.4.2, x11-libs/qt-opengl-4.4.2)                                                     
[blocks b     ]  >x11-libs/qt-webkit-4.4.2-r9999 (">x11-libs/qt-webkit-4.4.2-r9999" is blocking x11-libs/qt-xmlpatterns-4.4.2, x11-libs/qt-assistant-4.4.2-r1, x11-libs/qt-opengl-4.4.2, x11-libs/qt-dbus-4.4.2)                                                                             
[nomerge      ] x11-libs/qt-4.5.1 [4.4.2] USE="kde%*"                                                                                         
[nomerge      ]  x11-libs/qt-assistant-4.5.1 [4.4.2-r1]                                                                                       
[blocks b     ]   <x11-libs/qt-xmlpatterns-4.5.1 ("<x11-libs/qt-xmlpatterns-4.5.1" is blocking x11-libs/qt-assistant-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-svg-4.5.1-r1, x11-libs/qt-script-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-test-4.5.1, x11-libs/qt-gui-4.5.1, x11-libs/qt-qt3support-4.5.1, x11-libs/qt-sql-4.5.1, x11-libs/qt-core-4.5.1, x11-libs/qt-webkit-4.5.1)                                                     
[nomerge      ] x11-libs/qt-assistant-4.4.2-r1                                                                                                 
[blocks b     ]  >x11-libs/qt-sql-4.4.2-r9999 (">x11-libs/qt-sql-4.4.2-r9999" is blocking x11-libs/qt-xmlpatterns-4.4.2, x11-libs/qt-assistant-4.4.2-r1, x11-libs/qt-webkit-4.4.2-r1, x11-libs/qt-dbus-4.4.2, x11-libs/qt-opengl-4.4.2)                                                       
[blocks b     ]  >x11-libs/qt-gui-4.4.2-r9999 (">x11-libs/qt-gui-4.4.2-r9999" is blocking x11-libs/qt-xmlpatterns-4.4.2, x11-libs/qt-assistant-4.4.2-r1, x11-libs/qt-webkit-4.4.2-r1, x11-libs/qt-dbus-4.4.2, x11-libs/qt-opengl-4.4.2)                                                       
[ebuild     U ]   x11-libs/qt-xmlpatterns-4.5.1 [4.4.2]                                                                                       
[blocks b     ]    <x11-libs/qt-assistant-4.5.1 ("<x11-libs/qt-assistant-4.5.1" is blocking x11-libs/qt-opengl-4.5.1, x11-libs/qt-svg-4.5.1-r1, x11-libs/qt-script-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-xmlpatterns-4.5.1, x11-libs/qt-test-4.5.1, x11-libs/qt-gui-4.5.1, x11-libs/qt-qt3support-4.5.1, x11-libs/qt-sql-4.5.1, x11-libs/qt-core-4.5.1, x11-libs/qt-webkit-4.5.1)                                                       
[blocks b     ]  >x11-libs/qt-xmlpatterns-4.4.2-r9999 (">x11-libs/qt-xmlpatterns-4.4.2-r9999" is blocking x11-libs/qt-assistant-4.4.2-r1, x11-libs/qt-webkit-4.4.2-r1, x11-libs/qt-dbus-4.4.2, x11-libs/qt-opengl-4.4.2)                                                                     
[ebuild     U ]   x11-libs/qt-assistant-4.5.1 [4.4.2-r1]                                                                                       
[blocks b     ]    <x11-libs/qt-webkit-4.5.1 ("<x11-libs/qt-webkit-4.5.1" is blocking x11-libs/qt-assistant-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-svg-4.5.1-r1, x11-libs/qt-script-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-xmlpatterns-4.5.1, x11-libs/qt-test-4.5.1, x11-libs/qt-gui-4.5.1, x11-libs/qt-qt3support-4.5.1, x11-libs/qt-sql-4.5.1, x11-libs/qt-core-4.5.1)                                                         
[ebuild     U ]     x11-libs/qt-webkit-4.5.1 [4.4.2-r1] USE="kde%*"                                                                           
[blocks b     ]      <x11-libs/qt-opengl-4.5.1 ("<x11-libs/qt-opengl-4.5.1" is blocking x11-libs/qt-assistant-4.5.1, x11-libs/qt-svg-4.5.1-r1, x11-libs/qt-script-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-xmlpatterns-4.5.1, x11-libs/qt-test-4.5.1, x11-libs/qt-gui-4.5.1, x11-libs/qt-qt3support-4.5.1, x11-libs/qt-sql-4.5.1, x11-libs/qt-core-4.5.1, x11-libs/qt-webkit-4.5.1)                                                       
[ebuild     U ]       x11-libs/qt-opengl-4.5.1 [4.4.2]                                                                                         
[blocks b     ]        <x11-libs/qt-svg-4.5.1 ("<x11-libs/qt-svg-4.5.1" is blocking x11-libs/qt-assistant-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-script-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-xmlpatterns-4.5.1, x11-libs/qt-test-4.5.1, x11-libs/qt-gui-4.5.1, x11-libs/qt-qt3support-4.5.1, x11-libs/qt-sql-4.5.1, x11-libs/qt-core-4.5.1, x11-libs/qt-webkit-4.5.1)                                                           
[ebuild     U ]         x11-libs/qt-svg-4.5.1-r1 [4.4.2] USE="iconv%*"                                                                         
[blocks b     ]          <x11-libs/qt-qt3support-4.5.1 ("<x11-libs/qt-qt3support-4.5.1" is blocking x11-libs/qt-assistant-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-svg-4.5.1-r1, x11-libs/qt-script-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-xmlpatterns-4.5.1, x11-libs/qt-test-4.5.1, x11-libs/qt-gui-4.5.1, x11-libs/qt-sql-4.5.1, x11-libs/qt-core-4.5.1, x11-libs/qt-webkit-4.5.1)                                               
[ebuild     U ]           x11-libs/qt-qt3support-4.5.1 [4.4.2] USE="kde%* -phonon%"                                                           
[blocks b     ]            <x11-libs/qt-gui-4.5.1 ("<x11-libs/qt-gui-4.5.1" is blocking x11-libs/qt-assistant-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-svg-4.5.1-r1, x11-libs/qt-script-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-xmlpatterns-4.5.1, x11-libs/qt-test-4.5.1, x11-libs/qt-qt3support-4.5.1, x11-libs/qt-sql-4.5.1, x11-libs/qt-core-4.5.1, x11-libs/qt-webkit-4.5.1)                                                     
[ebuild     U ]             x11-libs/qt-gui-4.5.1 [4.4.2-r3] USE="gtkstyle%* -raster%"                                                         
[blocks b     ]              <x11-libs/qt-dbus-4.5.1 ("<x11-libs/qt-dbus-4.5.1" is blocking x11-libs/qt-assistant-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-svg-4.5.1-r1, x11-libs/qt-script-4.5.1, x11-libs/qt-xmlpatterns-4.5.1, x11-libs/qt-test-4.5.1, x11-libs/qt-gui-4.5.1, x11-libs/qt-qt3support-4.5.1, x11-libs/qt-sql-4.5.1, x11-libs/qt-core-4.5.1, x11-libs/qt-webkit-4.5.1)                                                 
[ebuild     U ]               x11-libs/qt-dbus-4.5.1 [4.4.2]                                                                                   
[blocks b     ]                <x11-libs/qt-test-4.5.1 ("<x11-libs/qt-test-4.5.1" is blocking x11-libs/qt-assistant-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-svg-4.5.1-r1, x11-libs/qt-script-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-xmlpatterns-4.5.1, x11-libs/qt-gui-4.5.1, x11-libs/qt-qt3support-4.5.1, x11-libs/qt-sql-4.5.1, x11-libs/qt-core-4.5.1, x11-libs/qt-webkit-4.5.1)                                               
[ebuild     U ]                 x11-libs/qt-test-4.5.1 [4.4.2] USE="iconv%*"                                                                   
[blocks b     ]                  <x11-libs/qt-script-4.5.1 ("<x11-libs/qt-script-4.5.1" is blocking x11-libs/qt-assistant-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-svg-4.5.1-r1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-xmlpatterns-4.5.1, x11-libs/qt-test-4.5.1, x11-libs/qt-gui-4.5.1, x11-libs/qt-qt3support-4.5.1, x11-libs/qt-sql-4.5.1, x11-libs/qt-core-4.5.1, x11-libs/qt-webkit-4.5.1)                                           
[ebuild     U ]                   x11-libs/qt-script-4.5.1 [4.4.2] USE="iconv%*"                                                               
[blocks b     ]                    <x11-libs/qt-sql-4.5.1 ("<x11-libs/qt-sql-4.5.1" is blocking x11-libs/qt-assistant-4.5.1, x11-libs/qt-opengl-4.5.1, x11-libs/qt-svg-4.5.1-r1, x11-libs/qt-script-4.5.1, x11-libs/qt-dbus-4.5.1, x11-libs/qt-xmlpatterns-4.5.1, x11-libs/qt-test-4.5.1, x11-libs/qt-gui-4.5.1, x11-libs/qt-qt3support-4.5.1, x11-libs/qt-core-4.5.1, x11-libs/qt-webkit-4.5.1)                                             
[ebuild     U ]                     x11-libs/qt-sql-4.5.1 [4.4.2-r1]                                                                           
[ebuild     U ]                      x11-libs/qt-core-4.5.1 [4.4.2-r2]                                                                         
[nomerge      ] kde-base/kdemultimedia-kioslaves-4.2.4 [4.2.3] USE="handbook%*"                                                               
[ebuild     U ]  media-sound/cdparanoia-3.10.2-r3 [3.10_pre2]                                                                                 
[nomerge      ] kde-base/gwenview-4.2.4 [4.2.3] USE="handbook%*"                                                                               
[ebuild     U ]  media-gfx/exiv2-0.18 [0.17]                                                                                                   
[nomerge      ] media-sound/amarok-1.4.10-r2 [2.0.2-r3] USE="amazon kde mysql opengl python -daap -debug -ifp -ipod -mp4 -mtp -musicbrainz -njb -postgres (-real) -visualization -xinerama" LINGUAS="-af -ar -az -be -bg -bn -br -ca -cs -cy -da -de -el -en_GB -eo -es -et -eu -fa -fi -fr -ga -gl -he -hi -hu -id -is -it -ja -km -ko -ku -lo -lt -mk -ms -nb -nds -ne -nl -nn -pa -pl -pt -pt_BR -ro -ru -rw -se -sk -sl -sq -sr -sr@Latn -ss -sv -ta -tg -th -tr -uk -uz -zh_CN -zh_TW"                                                                                                 
[ebuild  NS   ]  kde-base/konqueror-3.5.10 [4.2.3] USE="branding java -debug -kdehiddenvisibility"                                             
[ebuild  NS   ]   kde-base/kcontrol-3.5.10 [4.2.3] USE="opengl -arts -debug -ieee1394 -joystick -kdehiddenvisibility -logitech-mouse"         
[ebuild  N    ]    kde-base/kicker-3.5.10-r1  USE="xcomposite -debug -kdehiddenvisibility"                                                     
[ebuild  NS   ]     kde-base/kmenuedit-3.5.10 [4.2.3] USE="-debug -kdehiddenvisibility"                                                       
[ebuild  NS   ]    kde-base/khotkeys-3.5.10 [4.2.3] USE="-debug -kdehiddenvisibility"                                                         
[ebuild  NS   ]    kde-base/kdesu-3.5.10 [4.2.3] USE="-debug -kdehiddenvisibility"                                                             
[ebuild  NS   ]    kde-base/kcminit-3.5.10 [4.2.3] USE="-debug -kdehiddenvisibility"                                                           
[ebuild  NS   ]    kde-base/khelpcenter-3.5.10 [4.2.3] USE="-debug -kdehiddenvisibility"                                                       
[ebuild  NS   ]     kde-base/kdebase-kioslaves-3.5.10-r1 [4.2.3] USE="hal ldap -debug -kdehiddenvisibility -openexr -samba"                   
[ebuild  NS   ]      kde-base/kdialog-3.5.10 [4.2.3] USE="-debug -kdehiddenvisibility"                                                         
[ebuild  N    ]      dev-libs/dbus-qt3-old-0.70  USE="-debug"                                                                                 
[ebuild  NS   ]   kde-base/kfind-3.5.10 [4.2.3] USE="-debug -kdehiddenvisibility"                                                             
[nomerge      ] kde-base/kcontrol-3.5.10 [4.2.3] USE="opengl -arts -debug -ieee1394 -joystick -kdehiddenvisibility -logitech-mouse"           
[ebuild  NS   ]  kde-base/kdebase-data-3.5.10 [4.2.3] USE="-debug"                                                                             
[ebuild  NS   ]  kde-base/libkonq-3.5.10 [4.2.3] USE="-debug -kdehiddenvisibility"                                                             
[ebuild  NS   ]   kde-base/kdelibs-3.5.10-r6 [4.2.3] USE="acl alsa branding cups doc fam spell tiff -arts -avahi -bindist -debug -jpeg2k -kdehiddenvisibility -kerberos -legacyssl -lua -openexr -utempter"
[ebuild  N    ]    net-misc/mDNSResponder-107.6-r5  USE="doc java -debug"
[nomerge      ] media-sound/amarok-1.4.10-r2 [2.0.2-r3] USE="amazon kde mysql opengl python -daap -debug -ifp -ipod -mp4 -mtp -musicbrainz -njb -postgres (-real) -visualization -xinerama" LINGUAS="-af -ar -az -be -bg -bn -br -ca -cs -cy -da -de -el -en_GB -eo -es -et -eu -fa -fi -fr -ga -gl -he -hi -hu -id -is -it -ja -km -ko -ku -lo -lt -mk -ms -nb -nds -ne -nl -nn -pa -pl -pt -pt_BR -ro -ru -rw -se -sk -sl -sq -sr -sr@Latn -ss -sv -ta -tg -th -tr -uk -uz -zh_CN -zh_TW"
[ebuild     U ]  dev-lang/ruby-1.8.6_p368 [1.8.6_p287-r5]
[ebuild  N    ]   app-admin/eselect-ruby-20081227
[nomerge      ] app-emulation/wine-1.1.23 [1.1.22]
[ebuild   R   ]  media-sound/esound-0.2.41  USE="-oss% -static-libs%"
[ebuild     U ]  media-libs/libpng-1.2.37 [1.2.36]
[nomerge      ] kde-base/ark-4.2.4 [4.2.3] USE="handbook%*"
[ebuild     U ]  app-arch/libarchive-2.7.0-r1 [2.7.0]
[nomerge      ] media-sound/easytag-2.1.6-r1 [2.1.6]
[ebuild     U ]  media-libs/libvorbis-1.2.1_rc1-r2 [1.2.1_rc1] USE="aotuv%*"
[nomerge      ] kde-base/kdebase-meta-4.2.4 [4.2.3] USE="-kdeprefix%"
[nomerge      ]  kde-base/solid-4.2.4 [4.2.3] USE="bluetooth*"
[ebuild  N    ]   net-wireless/bluez-4.39  USE="alsa cups doc gstreamer usb -debug -old-daemons -test-programs"
[ebuild   R   ]    sys-auth/pambase-20081028  USE="consolekit*"
[ebuild  N    ]    dev-libs/libnl-1.1-r1
[nomerge      ] kde-base/drkonqi-4.2.4 [4.2.3]
[nomerge      ]  kde-base/kdelibs-4.2.4 [4.2.3] USE="handbook%*"
[ebuild  N    ]   virtual/acl-0
[ebuild     U ] sys-apps/portage-2.1.6.13 [2.1.6.11]

_________________
I suck at signatures.


Last edited by The Mountain Man on Tue Jun 09, 2009 1:31 am; edited 1 time in total
Back to top
View user's profile Send private message
DaggyStyle
Advocate
Advocate


Joined: 22 Mar 2006
Posts: 4941

PostPosted: Sun Jun 07, 2009 8:19 pm    Post subject: Reply with quote

can anyone tell me what the hell are these x11-libs/qt-*-4.4.2-r9999 packages?
where the hell did they came from?
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
ProjectFootball
Back to top
View user's profile Send private message
cyrillic
Watchman
Watchman


Joined: 19 Feb 2003
Posts: 7301
Location: Groton, Massachusetts USA

PostPosted: Sun Jun 07, 2009 8:43 pm    Post subject: Reply with quote

The portage tree does not contain any x11-libs/qt-*-4.4.2-r9999 packages.

That version number is simply used to block older versions of qt packages.
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sun Jun 07, 2009 11:48 pm    Post subject: Reply with quote

Those are not blocks. They are soft blocks and portage will handle them. Remove -p ( --pretend ) parameter from your emerge command and your update should be smooth ;)
Back to top
View user's profile Send private message
yngwin
Developer
Developer


Joined: 19 Dec 2002
Posts: 4396
Location: Suzhou, China

PostPosted: Sun Jun 07, 2009 11:56 pm    Post subject: Reply with quote

Amarok 1.4 is pulling in kde-3. If you dont want that, then use amarok-2.
_________________
"Those who deny freedom to others deserve it not for themselves." - Abraham Lincoln
Free Culture | Defective by Design | EFF
Back to top
View user's profile Send private message
The Mountain Man
l33t
l33t


Joined: 03 Sep 2003
Posts: 643

PostPosted: Mon Jun 08, 2009 1:09 am    Post subject: Reply with quote

I am using Amarok 2, but it's acting like it wants to downgrade it to version 1:
Code:
[ebuild  NS   ] media-sound/amarok-1.4.10-r2 [2.0.2-r3]

I have no idea why it wants to do this.

----------

Hwoarang wrote:
Those are not blocks. They are soft blocks and portage will handle them. Remove -p ( --pretend ) parameter from your emerge command and your update should be smooth ;)

I don't understand. What's a "soft block"? I'm a bit apprehensive about just letting it do it's thing because I really don't want a broken system.
_________________
I suck at signatures.
Back to top
View user's profile Send private message
DaggyStyle
Advocate
Advocate


Joined: 22 Mar 2006
Posts: 4941

PostPosted: Mon Jun 08, 2009 4:06 am    Post subject: Reply with quote

The Mountain Man wrote:
I am using Amarok 2, but it's acting like it wants to downgrade it to version 1:
Code:
[ebuild  NS   ] media-sound/amarok-1.4.10-r2 [2.0.2-r3]

I have no idea why it wants to do this.

had the same issue, amarok went to slots, check that you have unkeyworded the right slot
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
ProjectFootball
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Mon Jun 08, 2009 9:15 am    Post subject: Reply with quote

The Mountain Man wrote:

Hwoarang wrote:
Those are not blocks. They are soft blocks and portage will handle them. Remove -p ( --pretend ) parameter from your emerge command and your update should be smooth ;)

I don't understand. What's a "soft block"? I'm a bit apprehensive about just letting it do it's thing because I really don't want a broken system.


Soft blocks, are blocks that portage will solve them automatically. You dont require to do anything. Just remove the --pretend switch from emerge -uDN world and you should be ok
Back to top
View user's profile Send private message
The Mountain Man
l33t
l33t


Joined: 03 Sep 2003
Posts: 643

PostPosted: Mon Jun 08, 2009 10:20 am    Post subject: Reply with quote

Alright. I'll take your word for it. Let's see what happens...
_________________
I suck at signatures.
Back to top
View user's profile Send private message
MaximeG
l33t
l33t


Joined: 15 Apr 2008
Posts: 722
Location: Belgium

PostPosted: Mon Jun 08, 2009 10:26 am    Post subject: Reply with quote

Hi,

If you don't want Amarok 1.4.*, just block it with /etc/portage/package.mask and you'll be fine.

Regards,
Maxime
_________________
Future is wide open.
Back to top
View user's profile Send private message
toneus
n00b
n00b


Joined: 27 Feb 2008
Posts: 35

PostPosted: Mon Jun 08, 2009 2:30 pm    Post subject: How to clear net-wireless/bluesz blocker? Reply with quote

I'm attempting to run and Update

Code:
emerge -puD @world


I'm seeing the expected 4.2.4 updates, and the various qt soft blocks, but at the end of my list are the following blockers. I'm not quite sure how to clear these.

Code:
[nomerge      ] kde-base/kreadconfig-4.2.4 [4.2.3]
[ebuild     U ]  sys-apps/sandbox-2.0 [1.9]
[blocks B     ] net-wireless/bluez-libs ("net-wireless/bluez-libs" is blocking net-wireless/bluez-4.39)
[blocks B     ] net-wireless/bluez ("net-wireless/bluez" is blocking net-wireless/bluez-libs-3.36)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('installed', '/', 'net-wireless/bluez-libs-3.36', 'nomerge') pulled in by
    >=net-wireless/bluez-libs-3.12 required by ('installed', '/', 'gnome-base/gvfs-1.0.3-r2', 'nomerge')

  ('ebuild', '/', 'net-wireless/bluez-4.39', 'merge') pulled in by
    net-wireless/bluez required by ('ebuild', '/', 'kde-base/solid-4.2.4', 'merge')
Back to top
View user's profile Send private message
Hwoarang
Developer
Developer


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Mon Jun 08, 2009 2:52 pm    Post subject: Reply with quote

Thats normal. Remove the old bluez stuff before emerging the new one
Back to top
View user's profile Send private message
DaggyStyle
Advocate
Advocate


Joined: 22 Mar 2006
Posts: 4941

PostPosted: Mon Jun 08, 2009 2:53 pm    Post subject: Re: How to clear net-wireless/bluesz blocker? Reply with quote

toneus wrote:
I'm attempting to run and Update

Code:
emerge -puD @world


I'm seeing the expected 4.2.4 updates, and the various qt soft blocks, but at the end of my list are the following blockers. I'm not quite sure how to clear these.

Code:
[nomerge      ] kde-base/kreadconfig-4.2.4 [4.2.3]
[ebuild     U ]  sys-apps/sandbox-2.0 [1.9]
[blocks B     ] net-wireless/bluez-libs ("net-wireless/bluez-libs" is blocking net-wireless/bluez-4.39)
[blocks B     ] net-wireless/bluez ("net-wireless/bluez" is blocking net-wireless/bluez-libs-3.36)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('installed', '/', 'net-wireless/bluez-libs-3.36', 'nomerge') pulled in by
    >=net-wireless/bluez-libs-3.12 required by ('installed', '/', 'gnome-base/gvfs-1.0.3-r2', 'nomerge')

  ('ebuild', '/', 'net-wireless/bluez-4.39', 'merge') pulled in by
    net-wireless/bluez required by ('ebuild', '/', 'kde-base/solid-4.2.4', 'merge')


simple, unmerge net-wireless/bluez-libs, unmask >=gvfs-1.0.3-r13 and update.
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
ProjectFootball
Back to top
View user's profile Send private message
The Mountain Man
l33t
l33t


Joined: 03 Sep 2003
Posts: 643

PostPosted: Tue Jun 09, 2009 1:30 am    Post subject: Reply with quote

Alright, well, the upgrade finished and my box is still alive, so I guess everything worked like it was supposed to.
_________________
I suck at signatures.
Back to top
View user's profile Send private message
rjw8703
Apprentice
Apprentice


Joined: 14 Aug 2004
Posts: 246
Location: Auburn, Al

PostPosted: Tue Jun 09, 2009 4:30 am    Post subject: Reply with quote

Now how does one get rid of the KDE-3.5.* stuff?
Back to top
View user's profile Send private message
DaggyStyle
Advocate
Advocate


Joined: 22 Mar 2006
Posts: 4941

PostPosted: Tue Jun 09, 2009 5:06 am    Post subject: Reply with quote

rjw8703 wrote:
Now how does one get rid of the KDE-3.5.* stuff?

Code:
equery l kde-base/ | grep 3.5 | xargs emerge -aC


has root
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
ProjectFootball
Back to top
View user's profile Send private message
rjw8703
Apprentice
Apprentice


Joined: 14 Aug 2004
Posts: 246
Location: Auburn, Al

PostPosted: Tue Jun 09, 2009 6:50 am    Post subject: Reply with quote

Thanks Daggy, I thought it would be something simple like that. Is it a good time to switch to KDE-4.2 or would it be better to wait? i.e. is KDE-4.2 as stable and reliable as KDE-3.5.9-10?
Back to top
View user's profile Send private message
DaggyStyle
Advocate
Advocate


Joined: 22 Mar 2006
Posts: 4941

PostPosted: Tue Jun 09, 2009 1:51 pm    Post subject: Reply with quote

rjw8703 wrote:
Thanks Daggy, I thought it would be something simple like that. Is it a good time to switch to KDE-4.2 or would it be better to wait? i.e. is KDE-4.2 as stable and reliable as KDE-3.5.9-10?


kde4.2 is workable, mostly stable, but there are some programs that wasn't adapted to 4.2 yet (like k3b), so you will need to keep some packages.

just unkeyword all you want to upgrade (notice this bug: http://bugs.gentoo.org/show_bug.cgi?id=270747 ) and run upgrade and depclean
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
ProjectFootball
Back to top
View user's profile Send private message
The Mountain Man
l33t
l33t


Joined: 03 Sep 2003
Posts: 643

PostPosted: Wed Jun 10, 2009 4:27 am    Post subject: Reply with quote

DaggyStyle wrote:
rjw8703 wrote:
Now how does one get rid of the KDE-3.5.* stuff?

Code:
equery l kde-base/ | grep 3.5 | xargs emerge -aC


has root

I've tried this and, but it keeps telling me:

Code:
!!! "--ask" should only be used in a terminal. Exiting.


What's up with that?
_________________
I suck at signatures.
Back to top
View user's profile Send private message
DaggyStyle
Advocate
Advocate


Joined: 22 Mar 2006
Posts: 4941

PostPosted: Wed Jun 10, 2009 4:30 am    Post subject: Reply with quote

did you ran the command in terminal?
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
ProjectFootball
Back to top
View user's profile Send private message
ok
Guru
Guru


Joined: 11 Jul 2006
Posts: 390
Location: germany

PostPosted: Wed Jun 10, 2009 9:19 am    Post subject: Reply with quote

emerge -a does not work in a pipe, you can run emerge -p first.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum